/**Begin D:\PDM_UPGRADE\PDM1\WTCTD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTCTD_ATTPERIODTOTAL') 
 CREATE TABLE T_WTCTD_ATTPERIODTOTAL (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FFROZEN VARCHAR(2) DEFAULT ' ' NOT NULL,
FFROZENTIME DATETIME,
FFROZENERID BIGINT DEFAULT 0 NOT NULL,
FLOCK VARCHAR(2) DEFAULT ' ' NOT NULL,
FLOCKTIME DATETIME,
FLOCKERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRM VARCHAR(2) DEFAULT ' ' NOT NULL,
FCONFIRMTIME DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FRELEASE VARCHAR(2) DEFAULT ' ' NOT NULL,
FRELEASETIME DATETIME,
FRELEASEERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTORAGETIME DATETIME,
FSTORAGEERID BIGINT DEFAULT 0 NOT NULL,
FPUSH VARCHAR(2) DEFAULT ' ' NOT NULL,
FPUSHTIME DATETIME,
FPUSHERID BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FATTITEMTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FATTPERATTPERIODID VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERPERIODBEGINDATE DATETIME,
FPERPERIODENDDATE DATETIME,
FISHIS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSHIFT BIGINT DEFAULT 0 NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FATTITEMVID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FJOBVID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTCTD_ATTPERIODTOTAL_A')
 CREATE TABLE T_WTCTD_ATTPERIODTOTAL_A (
FID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FCOMPUTMANID BIGINT DEFAULT 0 NOT NULL,
FATTFILEVID BIGINT DEFAULT 0 NOT NULL,
FMANAGESCOPEID BIGINT DEFAULT 0 NOT NULL,
FMANAGESCOPEVID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYID BIGINT DEFAULT 0 NOT NULL,
FDEPENDENCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FAGREEDWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTCTD_DAILYDETAILS') 
 CREATE TABLE T_WTCTD_DAILYDETAILS (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FOWNDATE DATETIME,
FVERSIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FSHFITID BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FFROZEN VARCHAR(2) DEFAULT ' ' NOT NULL,
FFROZENTIME DATETIME,
FFROZENERID BIGINT DEFAULT 0 NOT NULL,
FLOCK VARCHAR(2) DEFAULT ' ' NOT NULL,
FLOCKTIME DATETIME,
FLOCKERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRM VARCHAR(2) DEFAULT ' ' NOT NULL,
FCONFIRMTIME DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FSTORAGE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTORAGETIME DATETIME,
FSTORAGEERID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FJOBVID BIGINT DEFAULT 0 NOT NULL,
FSHIFTVID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\WTCTD_table.sql **/