﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTCTD_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTCTD_ATTTOTALDEHIS') 
 CREATE TABLE T_WTCTD_ATTTOTALDEHIS (
FID BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FMID BIGINT DEFAULT 0 NOT NULL,
FATTITEMTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FATTITEMVID BIGINT DEFAULT 0 NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FVALUELONG DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTCTD_ATTTOTALDETAIL') 
 CREATE TABLE T_WTCTD_ATTTOTALDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FATTITEMTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FATTITEMVID BIGINT DEFAULT 0 NOT NULL,
FATTITEMID BIGINT DEFAULT 0 NOT NULL,
FVALUELONG DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTCTD_ATTTOTALBASE') 
 CREATE TABLE T_WTCTD_ATTTOTALBASE (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTVID BIGINT DEFAULT 0 NOT NULL,
FJOBVID BIGINT DEFAULT 0 NOT NULL,
FCALCULATEDATE DATETIME,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FMANAGESCOPEVID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FRECKONERID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEVID BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FATTPERATTPERIODID VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERPERIODBEGINDATE DATETIME,
FPERPERIODENDDATE DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTCTD_ATTTOTALBASEHIS') 
 CREATE TABLE T_WTCTD_ATTTOTALBASEHIS (
FID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYVID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONVID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTVID BIGINT DEFAULT 0 NOT NULL,
FJOBVID BIGINT DEFAULT 0 NOT NULL,
FCALCULATEDATE DATETIME,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FMANAGESCOPEVID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGVID BIGINT DEFAULT 0 NOT NULL,
FRECKONERID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FATTFILEVID BIGINT DEFAULT 0 NOT NULL,
FPERATTPERIODID BIGINT DEFAULT 0 NOT NULL,
FATTPERATTPERIODID VARCHAR(100) DEFAULT ' ' NOT NULL,
FPERPERIODBEGINDATE DATETIME,
FPERPERIODENDDATE DATETIME,
FCREATETIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WTCTD_table.sql **/
